PATH_COMICS_22_ON_PILE              = 'data/Scenes/Comics/HelpersComicsReplic.lua'
PATH_COMICS_22_ON_SHOWN             = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
PATH_COMICS_22_KEY		            = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
PATH_COMICS_22_ROD		            = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
PATH_COMICS_22_ON_WIN	            = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
PATH_COMICS_22_HANDAXE	            = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'

PATH_MINIGAME_22_BEACH_PUZZLE       = 'data/Scenes/Minigames/22_beach_puzzle.lua'

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad(screen:GetName())

    local pf = play_field
    local level = pf:GetLevelScreen()
	---------------------------------------------------------------------------------------------
	level:AddTaskSafe(CreateTask('COIN', '', 'coin'))
	level:AddTaskSafe(CreateTask('STONE_DISK', '', 'blin'))
	level:AddTaskSafe(CreateTask('PUZZLE', '', 'puzzles'))
	AddRandomTasks(11,
               CreateTask('GLASSES', '', 'glasses'),
               CreateTask('CIGAR', '', 'cigar'),
               CreateTask('DIVING_PIPE', '', 'diving_pipe'),
               CreateTask('DRAGONFLY', '', 'dragonfly'),			   
               CreateTask('CAT', '', 'cat'),
               CreateTask('HEART', '', 'heart'),
               --CreateTask('MASK', '', 'mask'),			   
			   CreateTask('POMP', '', 'pomp'),
               CreateTask('ROPE', '', 'rope'),
               CreateTask('SCALES', '', 'scales'),
               CreateTask('SHOVEL', '', 'shovel'),
               CreateTask('SWAN', '', 'swan'),
               CreateTask('TEAPOT', '', 'teapot'),
               CreateTask('TYRE', '', 'tyre'),
               CreateTask('WATCH', '', 'watch'),
               CreateTask('ALARM_CLOCK', '', 'alarmclock'),
               CreateTask('BANANAS', '', 'bananas'),
               CreateTask('BOTTLE', '', 'bottle'),               
               CreateTask('BUTTERFLY', '', 'butterfly'),
               CreateTask('CAGE', '', 'cage'),
               CreateTask('CAMERA', '', 'camera'),
               CreateTask('CAN', '', 'can'),
               CreateTask('COPPER', '', 'copper'),
               CreateTask('CROCODILE', '', 'crocodile'),
               CreateTask('CROW', '', 'crow'),
               CreateTask('DUCK', '', 'duck'),
               --CreateTask('EAGLE', '', 'eagle'),
               CreateTask('GRAPES', '', 'grapes'),
               CreateTask('EAGLE', '', 'griffin'),
               --CreateTask('JUG', '', 'jug'),
               CreateTask('LADDER', '', 'ladder'),
               --CreateTask('LAMP', '', 'lamp'),
               CreateTask('LION', '', 'lion'),
               --CreateTask('MANTLET', '', 'mantlet'),
               --CreateTask('NECKLACE', '', 'necklace'),			   
               CreateTask('PILLOW', '', 'pillow')
	)
	pf:IgnoreOnTestPoint('BG_utochka')
	---------------------------------------------------------------------------------------------
	pf:GetObject('Water_Zone'):SetMaxOpacity(0.01)
	pf:GetObject('Water_Zone'):SetOpacity(0.01)
    local zone_boat = CreateZoomZone('close_zone_boat',
                               'pixel_boat',
                               'BgBoat',
                               'glasses',
                               'cigar',
							   'diving_pipe',
							   'dragonfly',							   							   
							   'BG_Trubka',
							   'key',
							   'key_blurred',
							   'Water_Zone'
							   )
	pf:IgnoreOnTestPoint("BG_Trubka")
    ---------------------------------------------------------------------------------------------	
    zone_darkness = CreateZoomZone('close_zone_darkness',
                               '',                               
                               'cat',
							   'heart',
							   'mask',							   							   
							   'BG_Maska',
							   'BG_Topor',
							   'okno_1',
							   'okno_2',
							   'okno_3',
							   'BgDoor',
							   'BgDoorDark',
							   'BgDoorDark2',
							   'BgDoorDark3',
							   'puzzles',
							   'coin',
							   'blin'
							   )
	pf:IgnoreOnTestPoint('pixel_door')
	pf:GetObject('okno_2'):SetMaxOpacity(0.01)
	pf:GetObject('okno_3'):SetMaxOpacity(0.01)
	---------------------------------------------------------------------------------------------	
	RegisterInactiveGroup('InTheDarkness',						  
						  'cat',
						  'heart',
						  'mask',
						  'puzzles',
						  'coin',
						  'blin')
	---------------------------------------------------------------------------------------------	
	local photo_action_handaxe = function()                                
                             end
    local apply_action_handaxe
    apply_action_handaxe = function(save, target)
                                --pf:IgnoreOnTestPoint(target)
        
								if target == 'okno_1' then
									SetApplyActionPhotoZone(photo_handaxe, 'okno_2', apply_action_handaxe)
									if save then
										pf:GetObject('BgDoorDark'):SetMaxOpacity(0)
										pf:GetObject('okno_1'):SetMaxOpacity(0)
									else
										zone_darkness.ChangeObjOpacity('BgDoorDark', 1, 0, 0.3)
										zone_darkness.ChangeObjOpacity('okno_1', 1, 0, 0.3)
										MakeSoundEntity('22_use_handaxe'):Play(false)
									end
									pf:IgnoreOnTestPoint('okno_1')
									pf:IgnoreOnTestPoint('BgDoorDark')
									return
								end
								
								if target == 'okno_2' then
									SetApplyActionPhotoZone(photo_handaxe, 'okno_3', apply_action_handaxe)
									if save then
										pf:GetObject('BgDoorDark2'):SetMaxOpacity(0)
										pf:GetObject('okno_2'):SetMaxOpacity(0)
									else
										zone_darkness.ChangeObjOpacity('BgDoorDark2', 1, 0, 0.3)
										zone_darkness.ChangeObjOpacity('okno_2', pf:GetObject('okno_2'):GetOpacity(), 0, 0.3)
										MakeSoundEntity('22_use_handaxe'):Play(false)
									end
									pf:IgnoreOnTestPoint('okno_2')
									pf:IgnoreOnTestPoint('BgDoorDark2')
									return
								end
                                
                                UnregisterPhotoZone('handaxe')
                                game_state.locked_objects['memorial'] = false
								if save then
									pf:GetObject('BgDoorDark3'):SetMaxOpacity(0)
									pf:GetObject('okno_3'):SetMaxOpacity(0)
								else
									zone_darkness.ChangeObjOpacity('BgDoorDark3', 1, 0, 0.3)
									zone_darkness.ChangeObjOpacity('okno_3', pf:GetObject('okno_3'):GetOpacity(), 0, 0.3)
									MakeSoundEntity('22_use_handaxe'):Play(false)
								end
                                zone_darkness.RemoveObject('BgDoorDark')
                                zone_darkness.RemoveObject('okno_1', false)
								UnregisterInactiveGroup('InTheDarkness')
                             end
    photo_handaxe = CreatePhotoZone('handaxe', 
                                    'HANDAXE', 
                                    'handaxe_photo', 
                                    photo_action_handaxe, 
                                    'okno_1',
                                    nil,
                                    true)
    SetApplyActionPhotoZone(photo_handaxe, 'okno_1', apply_action_handaxe)
    photo_handaxe.zone.SetOffsetHighlight(100, 0)
	level:GetTask('handaxe'):SetUse(true)
	---------------------------------------------------------------------------------------------	
	local photo_action_key = function()
                             end
    local apply_action_key = function(save)
								if save then
									play_field:GetObject('door_closed'):SetOpacity(0)
									play_field:GetObject('door_opened'):SetOpacity(1)
								else
									play_field:GetObject('door_closed'):ChangeOpacity(1, 0, 0.3)
									play_field:GetObject('door_opened'):ChangeOpacity(0, 1, 0.3)
									MakeSoundEntity('22_open_door'):Play(false)
								end
								play_field:DoNotIgnoreOnTestPoint('pixel_door')
								RegisterZoomZone(zone_darkness, 'pixel_door')
                             end
	
	local photo_key = CreatePhotoZone('key',										
										'KEY',
										'key_photo',
										photo_action_key,
										'door_closed',
										apply_action_key)
    level:GetTask('key'):SetUse(true)
    ---------------------------------------------------------------------------------------------	
	pf:GetObject('key'):SetOpacity(0)
	pf:GetObject('key'):SetMaxOpacity(0)
	local photo_action_rod = function()
                             end
    local apply_action_rod = function(save)
								pf:GetObject('Water_Zone'):SetOpacity(0)
								pf:GetObject('Water_Zone'):SetMaxOpacity(0)
								pf:GetObject('key'):SetMaxOpacity(1)
								if save then
									pf:GetObject('key_blurred'):SetOpacity(0)
									--play_field:GetObject('key'):SetOpacity(1)
									pf:GetObject('key_blurred'):SetMaxOpacity(0)
									pf:GetObject('key_blurred'):SetOpacity(0)
									pf:GetObject('key'):SetXY(451, 588)
								else
									pf:GetObject('key_blurred'):ChangeOpacity(1, 0, 0.3)
									pf:GetObject('key'):ChangeOpacity(0, 1, 0.3)
									
									TimerDo(pf:GetTimer(), 0.3, function()
																			pf:GetObject('key_blurred'):SetMaxOpacity(0)
																			pf:GetObject('key_blurred'):SetOpacity(0)
																		end)			
									
									local af = CreateAnimationEffector()
									af:AttachTo(pf:GetObject('key'))
									af:SetKey(_TRACK_X, 0, 673)
									af:SetKey(_TRACK_Y, 0, 344)
									af:SetKey(_TRACK_X, 0.3, 673)
									af:SetKey(_TRACK_Y, 0.3, 344)
									af:SetKey(_TRACK_X, 1, 451)
									af:SetKey(_TRACK_Y, 1, 588)
									af:Play()
									
									pf:IgnoreOnTestPoint('key')
									local time_blocked = 1.9
									zone_boat.Blocked(time_blocked)
									TimerDo(pf:GetTimer(), time_blocked, function()
									                                        DisableZoomZoneRequest(zone_boat)
									                                     end )
									TimerDo(pf:GetTimer(), 1, function()
                                                                    pf:DoNotIgnoreOnTestPoint('key')
                                                                    local phone = level:GetPhone()
                                                                    phone:MakePhoto( pf:GetObject('key') )
									                            end)
                                    
									
									
									
									MakeSoundEntity('22_catch_key'):Play(false)
								end
                             end
	
	local photo_rod = CreatePhotoZone('rod',										
									'ROD',
									'rod_photo',
									photo_action_rod,
									'Water_Zone',
									apply_action_rod)
	---------------------------------------------------------------------------------------------		
	RegisterComics('COMICS_22_ON_PILE', function()
                                            LoadComicsWithOneReplicHeroes(PATH_COMICS_22_ON_PILE, 'COMICS_22_ON_PILE')
                                        end )
	RegisterComics('COMICS_22_ON_SHOWN', function()
		LoadComicsWithOneReplicHeroes(PATH_COMICS_22_ON_SHOWN, 'COMICS_22_ON_SHOWN')
	end)
	game_state.chain_key = RegisterComicsEx(function()
										        LoadComicsWithOneReplicHeroes(PATH_COMICS_22_KEY, 'COMICS_22_KEY')
									        end)
	game_state.chain_rod = RegisterComicsEx(function()
										        LoadComicsWithOneReplicHeroes(PATH_COMICS_22_KEY, 'COMICS_22_ROD')
									        end)
	RegisterComics('COMICS_22_ON_WIN', function()
										LoadComicsWithOneReplicHeroes(PATH_COMICS_22_ON_WIN, 'COMICS_22_ON_WIN')
									  end )
	game_state.chain_handaxe = RegisterComicsEx(function()
										            LoadComicsWithOneReplicHeroes(PATH_COMICS_22_HANDAXE, 'COMICS_22_HANDAXE')
									            end)
	---------------------------------------------------------------------------------------------
    game_state.zone_pile = CreateInfoItemZone( pf:GetObject('piles'), nil, GetString('INFO_ITEM_22_PILES') )
    game_state.zone_pile.OnHidden = function()
        PlayRegisterComics('COMICS_22_ON_PILE')
    end
	---------------------------------------------------------------------------------------------
    SetHintComicsPhotoZoneEx(photo_key, game_state.chain_key)
	SetHintComicsPhotoZoneEx(photo_rod, game_state.chain_rod)
	SetHintComicsPhotoZoneEx(photo_handaxe, game_state.chain_handaxe)
	---------------------------------------------------------------------------------------------
	RegisterMiniGame(PATH_MINIGAME_22_BEACH_PUZZLE, function()
                                                LoadMiniGames(PATH_MINIGAME_22_BEACH_PUZZLE)
                                            end )
    ---------------------------------------------------------------------------------------------
    if IsMiniGamePlay(PATH_MINIGAME_22_BEACH_PUZZLE) == false and level:IsTaskObject('puzzles') == false then
        PlayRegisterMiniGame(PATH_MINIGAME_22_BEACH_PUZZLE)
    end	
    ---------------------------------------------------------------------------------------------
	pf:IgnoreOnTestPoint('BG_motok verevki')
	pf:IgnoreOnTestPoint('BG_Podushka')
	---------------------------------------------------------------------------------------------
end

function OnSceneFree()
    FreeData()
end

function OnScreenShown(fade_out)
	if fade_out then
       PlayRegisterComics('COMICS_22_ON_SHOWN')
    end
end

function OnHiddenComics(comics)
	if comics == 'COMICS_22_ON_WIN' then
		OnWinLevel()
	end
	if comics == 'COMICS_22_ON_PILE' then		
		OnWin()		
	end
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnWin()
    if IsMiniGamePlay(PATH_MINIGAME_22_BEACH_PUZZLE) and play_field:GetLevelScreen():IsCompleteLevel() then
	    PlayRegisterComics('COMICS_22_ON_WIN')
	end
end

function OnLose()
end

function OnExit()
end

function OnButtonMouseEnter(title)
end

function OnButtonMouseLeave(title)
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)
    
    return is_wrong_click
end

function OnObjectMouseUp(object)
end

function OnObjectRightMouseDown(object)
end

function OnObjectRightMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)

	if object:GetName() == 'blin' and IsExistMiniGame() == false then
		game_state.zone_pile.Play()
	end	
	if object:GetName() == 'puzzles' then		
		PlayRegisterMiniGame(PATH_MINIGAME_22_BEACH_PUZZLE)
	end
	
end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function OnMinigameCompleted(mini_game)
    DisableZoomZoneRequest(zone_darkness)
    
    local level = play_field:GetLevelScreen()    
    if level:IsTaskObject('blin') then
        local task_blin = level:GetTask('blin')
    end    
    if level:IsTaskObject('piles') then
        local task_piles = level:GetTask('piles')
    end
    
    if task_piles and task_blin and task_blin:GetNumberOfObjects() == 0 and task_piles:GetNumberOfObjects() > 0 then
        game_state.zone_pile.Play()
    end
    
    OnWin()
    NotesFound('Notes_7')
end

function OnLostFocus()
end

function OnGainFocus()
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_boat',anim,766,376,100,0,17,6)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/ZooomBoat/Items/cigar.png',0,0,72,112,1,0)
	anim:SetHotSpot(36,56)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('cigar',anim,495,524,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/ZooomBoat/Items/diving_pipe.png',0,0,97,281,1,0)
	anim:SetHotSpot(48,140)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('diving_pipe',anim,240,428,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/ZooomBoat/Items/dragonfly.png',0,0,57,62,1,0)
	anim:SetHotSpot(28,31)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('dragonfly',anim,263,399,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/ZooomBoat/Items/glasses.png',0,0,127,59,1,0)
	anim:SetHotSpot(63,29)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('glasses',anim,334,511,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/ZooomBoat/Layers/BG_Trubka.png',0,0,47,60,1,0)
	anim:SetHotSpot(23,30)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('BG_Trubka',anim,225,551,820,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/ZooomBoat/Layers/BgBoat.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('BgBoat',anim,512,384,800,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/ZoomDoor/Items/cat.png',0,0,73,69,1,0)
	anim:SetHotSpot(36,34)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('cat',anim,725,475,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/ZoomDoor/Items/heart.png',0,0,28,30,1,0)
	anim:SetHotSpot(14,15)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('heart',anim,344,367,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/ZoomDoor/Items/mask.png',0,0,60,51,1,0)
	anim:SetHotSpot(30,25)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('mask',anim,792,204,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/ZoomDoor/Layers/BG_Maska.png',0,0,41,22,1,0)
	anim:SetHotSpot(20,11)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('BG_Maska',anim,790,227,920,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/ZoomDoor/Layers/BG_Topor.png',0,0,29,29,1,0)
	anim:SetHotSpot(14,14)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('BG_Topor',anim,616,375,920,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/blin.png',0,0,49,39,1,0)
	anim:SetHotSpot(24,19)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('blin',anim,426,532,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/ZoomDoor/Layers/okno.png',0,0,63,105,1,0)
	anim:SetHotSpot(31,52)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('okno_1',anim,471,266,945,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/ZoomDoor/Layers/okno.png',0,0,63,105,1,0)
	anim:SetHotSpot(31,52)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('okno_2',anim,471,266,935,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/ZoomDoor/Layers/okno.png',0,0,63,105,1,0)
	anim:SetHotSpot(31,52)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('okno_3',anim,471,266,925,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/ZoomDoor/Layers/BgDoor.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('BgDoor',anim,512,384,900,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/ZoomDoor/Layers/BgDoorDark.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('BgDoorDark',anim,512,384,940,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/ZoomDoor/Layers/BgDoorDark2.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('BgDoorDark2',anim,512,384,930,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/ZoomDoor/Layers/BgDoorDark3.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('BgDoorDark3',anim,512,384,920,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_door',anim,625,210,120,0,4,6)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/handaxe.png',0,0,109,102,1,0)
	anim:SetHotSpot(54,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('handaxe',anim,845,505,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Photos/handaxe_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('handaxe_photo',anim,59,609,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Layers/door_opened.png',0,0,25,41,1,0)
	anim:SetHotSpot(12,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('door_opened',anim,619,208,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Layers/door_closed.png',0,0,28,41,1,0)
	anim:SetHotSpot(14,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('door_closed',anim,626,210,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/rod.png',0,0,357,90,1,0)
	anim:SetHotSpot(178,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rod',anim,682,607,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/ZooomBoat/Items/key_blurred.png',0,0,45,91,1,0)
	anim:SetHotSpot(22,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key_blurred',anim,673,344,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/ZooomBoat/Layers/Water_Zone.png',0,0,497,480,1,0)
	anim:SetHotSpot(328,209)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Water_Zone',anim,663,353,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Photos/rod_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rod_photo',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Photos/key_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key_photo',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/ZoomDoor/Layers/puzzles.png',0,0,106,60,1,0)
	anim:SetHotSpot(53,30)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('puzzles',anim,512,404,915,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/ZoomDoor/Items/coin.png',0,0,33,28,1,0)
	anim:SetHotSpot(16,14)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('coin',anim,749,582,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/alarmclock.png',0,0,72,57,1,0)
	anim:SetHotSpot(36,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('alarmclock',anim,513,697,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/bananas.png',0,0,46,68,1,0)
	anim:SetHotSpot(23,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bananas',anim,441,46,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/bottle.png',0,0,120,84,1,0)
	anim:SetHotSpot(60,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bottle',anim,749,701,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/butterfly.png',0,0,79,58,1,0)
	anim:SetHotSpot(39,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('butterfly',anim,632,30,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/cage.png',0,0,106,108,1,0)
	anim:SetHotSpot(53,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cage',anim,600,480,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/camera.png',0,0,67,69,1,0)
	anim:SetHotSpot(33,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('camera',anim,453,732,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/can.png',0,0,50,66,1,0)
	anim:SetHotSpot(25,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('can',anim,602,679,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/copper.png',0,0,113,128,1,0)
	anim:SetHotSpot(56,64)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('copper',anim,351,698,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/crocodile.png',0,0,65,54,1,0)
	anim:SetHotSpot(32,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('crocodile',anim,502,314,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/piles.png',0,0,142,187,1,0)
	anim:SetHotSpot(71,93)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('piles',anim,80,109,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/eagle.png',0,0,91,85,1,0)
	anim:SetHotSpot(45,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('eagle',anim,885,263,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/griffin.png',0,0,58,61,1,0)
	anim:SetHotSpot(29,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('griffin',anim,784,138,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/jug.png',0,0,70,101,1,0)
	anim:SetHotSpot(35,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('jug',anim,472,484,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/ladder.png',0,0,29,85,1,0)
	anim:SetHotSpot(14,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ladder',anim,538,197,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/lamp.png',0,0,61,84,1,0)
	anim:SetHotSpot(30,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lamp',anim,335,571,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/lion.png',0,0,76,45,1,0)
	anim:SetHotSpot(38,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lion',anim,711,338,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/pillow.png',0,0,107,63,1,0)
	anim:SetHotSpot(53,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pillow',anim,318,497,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/pomp.png',0,0,104,103,1,0)
	anim:SetHotSpot(52,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pomp',anim,259,659,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/rope.png',0,0,76,107,1,0)
	anim:SetHotSpot(38,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rope',anim,285,102,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/crow.png',0,0,86,70,1,0)
	anim:SetHotSpot(43,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('crow',anim,244,357,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/duck.png',0,0,64,42,1,0)
	anim:SetHotSpot(32,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('duck',anim,733,428,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/grapes.png',0,0,52,90,1,0)
	anim:SetHotSpot(26,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('grapes',anim,908,42,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Layers/hose.png',0,0,110,90,1,0)
	anim:SetHotSpot(55,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hose',anim,666,703,95,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/scales.png',0,0,73,100,1,0)
	anim:SetHotSpot(36,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('scales',anim,403,496,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/shovel.png',0,0,173,266,1,0)
	anim:SetHotSpot(146,203)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('shovel',anim,671,510,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/swan.png',0,0,84,76,1,0)
	anim:SetHotSpot(42,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('swan',anim,341,429,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/teapot.png',0,0,76,77,1,0)
	anim:SetHotSpot(38,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('teapot',anim,420,420,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/tyre.png',0,0,70,50,1,0)
	anim:SetHotSpot(35,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tyre',anim,478,376,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Layers/vase.png',0,0,61,108,1,0)
	anim:SetHotSpot(30,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('vase',anim,785,600,94,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Items/watch.png',0,0,46,43,1,0)
	anim:SetHotSpot(23,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('watch',anim,497,602,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Layers/BG_Banan.png',0,0,35,77,1,0)
	anim:SetHotSpot(17,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Banan',anim,458,50,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Layers/BG_banka.png',0,0,47,64,1,0)
	anim:SetHotSpot(23,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_banka',anim,588,689,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Layers/BG_chasy.png',0,0,23,31,1,0)
	anim:SetHotSpot(11,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_chasy',anim,488,595,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Layers/BG_kletka.png',0,0,54,50,1,0)
	anim:SetHotSpot(27,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_kletka',anim,629,516,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Layers/BG_krokodil.png',0,0,42,45,1,0)
	anim:SetHotSpot(21,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_krokodil',anim,506,326,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Layers/BG_lopata.png',0,0,55,37,1,0)
	anim:SetHotSpot(27,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_lopata',anim,672,562,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Layers/BG_motok verevki.png',0,0,43,86,1,0)
	anim:SetHotSpot(21,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_motok verevki',anim,262,102,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Layers/BG_nakidka.png',0,0,55,45,1,0)
	anim:SetHotSpot(27,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_nakidka',anim,326,175,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Layers/BG_nasos.png',0,0,57,45,1,0)
	anim:SetHotSpot(28,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_nasos',anim,231,696,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Layers/BG_ozherelie.png',0,0,22,21,1,0)
	anim:SetHotSpot(11,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_ozherelie',anim,282,329,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Layers/BG_pletenka.png',0,0,101,86,1,0)
	anim:SetHotSpot(50,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_pletenka',anim,763,713,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Layers/BG_Podushka.png',0,0,24,37,1,0)
	anim:SetHotSpot(12,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Podushka',anim,296,478,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Layers/BG_shina.png',0,0,52,72,1,0)
	anim:SetHotSpot(26,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_shina',anim,472,370,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Layers/BG_shlang.png',0,0,74,73,1,0)
	anim:SetHotSpot(37,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_shlang',anim,687,691,96,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Layers/BG_tesak.png',0,0,37,28,1,0)
	anim:SetHotSpot(18,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_tesak',anim,857,539,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Layers/BG_utochka.png',0,0,44,50,1,0)
	anim:SetHotSpot(22,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_utochka',anim,751,429,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/Layers/BG_vaza.png',0,0,37,37,1,0)
	anim:SetHotSpot(18,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_vaza',anim,783,644,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/22_beach/ZooomBoat/Items/key.png',0,0,53,93,1,0)
	anim:SetHotSpot(26,46)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('key',anim,672,347,820,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
